# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Program for making large letters out of ordinary text 
Name: figlet-more-fonts
Version: 20040514
Release: alt1_16
Source0: contributed.tar.bz2
Source2: international.tar.gz
Source3: ms-dos.tar.bz2
License: Artistic
Group: Toys
Url: http://figlet.org
BuildArch: noarch
Requires: figlet
Source44: import.info

%description
FIGlet is a program for making large letters out 
of ordinary text.

This package allready include lot of fonts.

%prep
%setup -q -n %name%version -c 0 
%setup -q -T -D -n %name%version -a 2 
%setup -q -T -D -n %name%version -a 3 

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/figlet

(#SOURCE2
cd contributed

# Conflict with figlet itself
find . -name banner.flf -exec rm -f {} \;

cp -af *.fl? $RPM_BUILD_ROOT%_datadir/figlet
tar xzf Obanner.tgz
cp -af Obanner/*.fl? $RPM_BUILD_ROOT%_datadir/figlet
tar xzf Obanner-canon.tgz
cp -af Obanner-canon/*.fl? $RPM_BUILD_ROOT%_datadir/figlet
cp -af bdffonts/*.fl? $RPM_BUILD_ROOT%_datadir/figlet
cp -af C64-fonts/*.fl? $RPM_BUILD_ROOT%_datadir/figlet
)

ls contributed/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list
ls contributed/Obanner/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list
ls contributed/Obanner-canon/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list
ls contributed/bdffonts/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list
ls contributed/C64-fonts/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list
(#SOURCE3
cd international
tar xzf cjkfonts.tar.gz
cp -af *.fl? $RPM_BUILD_ROOT%_datadir/figlet
)

ls international/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list

(#SOURCE4
cd ms-dos
cp -af *.fl? $RPM_BUILD_ROOT%_datadir/figlet
)

ls ms-dos/*.fl? | sed 's!^.*/!%_datadir/figlet/!' >> files.list

chmod 644 $RPM_BUILD_ROOT%_datadir/figlet/*

cat files.list | sort | uniq >> files.list.uniq

%files -f files.list.uniq
%doc contributed/Obanner.README international/cjkfonts.readme  





%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 20040514-alt1_16
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 20040514-alt1_15
- converted for ALT Linux by srpmconvert tools

